package edu.neu.ccs.bias;
import edu.neu.ccs.satsolver.PairI;

class Pair implements PairI {
	public Integer m_r;
	public double m_frac;

	public Pair(int r, double frac) {
		m_r = new Integer(r);
		m_frac = frac;
	}

	public int getRelationNumber() {
		return m_r.intValue();
	}

	public double getFraction() {
		return m_frac;
	}

	public boolean equals(Object o) {
		if (o instanceof Pair) {
			Pair tp = (Pair) o;
			return tp.m_r.equals(m_r);
		}
		return false;
	}

	public int hashCode() {
		return m_r.hashCode();
	}

	public String toString() {
		return "pair (" + m_r + ", " + m_frac + ")";
	}
}
